package Grenouille::Numbers;

# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

use strict;
use Exporter qw();
use vars qw(@ISA @EXPORT_OK);
@ISA=qw(Exporter);
@EXPORT_OK=qw(digits jitter);

# truncate to n digits, rounding last one
sub digits($$) {
    my($value, $n) = @_;
    my($f) = 10 ** $n;
    return int($value * $f + 0.5) / $f;
}

# return a value between $x + $jmin % and $x + $jmax %
sub jitter($$$) {
    my($x, $jmin, $jmax) = @_;
    return $x * (1 + ($jmin + rand ($jmax - $jmin)) / 100);
}

1;
